//renvoie un nombre entier aléatoire entre a et b compris
function randint(a, b){
	return Math.floor(a + Math.random()*(b-a+1)) ;
}

//renvoie une couleur aléatoire au format RGB hexadécimal '#RRGGBB'
function couleurAleatoire() {
  var chiffres = '0123456789ABCDEF';
  var couleur = '#';
  for (var i = 0; i < 6; i++) {
    couleur += chiffres[Math.floor(Math.random() * 16)];
  }
  return couleur;
}

//fait flasher la couleur de fond du document x fois
function flashBackground(x) {
	
	document.body.style.backgroundColor = couleurAleatoire() ;
	
	if (x == 0){
		document.body.style.backgroundColor = '#F1A1F1' ;
		return
	}
	
	setTimeout(function()
	{
		flashBackground(x-1) ;
	}, 100) ;
	
}


function analyserProposition() {
	var nombreJoueur = document.getElementById('proposition').value ;
	if (nombreJoueur > nombreSecret) {
		document.getElementById('reponse').value = 'C\'est moins !' ;
	} else if (nombreJoueur < nombreSecret) {
		document.getElementById('reponse').value = 'C\'est plus !' ;
	} else {
		document.getElementById('reponse').value = 'C\'est gagné !' ;
		flashBackground(20) ;
	}
}

function nouvellePartie() {
	nombreSecret = randint(1, 999) ;
	document.getElementById('reponse').value = 'Notre réponse :' ;
	document.getElementById('proposition').value = '' ;
}

var nombreSecret;
window.onload = nouvellePartie ;


